> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# List commitments

GET https://integrators.prod.api.tabsplatform.com/v3/commitments

Reference: https://docs.tabs.com/api-reference/commitments/getAllCommitments

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/commitments:
    get:
      operationId: integrators-api-commitments-controller-get-all-commitments
      summary: List commitments
      tags:
        - commitments
      parameters:
        - name: page
          in: query
          description: Page Number
          required: false
          schema:
            type: number
            format: double
            default: 1
        - name: limit
          in: query
          description: Number of items to return
          required: false
          schema:
            type: number
            format: double
            default: 50
        - name: filter
          in: query
          description: |-
            Format: field:rule:value — comma-separated for multiple filters.

            Fields:
              customerId (uuid): eq, neq, in, nin, isnull, isnotnull
              contractId (uuid): eq, neq, in, nin, isnull, isnotnull

            Example: filter=customerId:eq:00000000-0000-0000-0000-000000000001
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Get all commitments with optional customer and contract filtering
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Commitments_IntegratorsApiCommitmentsController_getAllCommitments_Response_200
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    V3CommitmentsGetResponsesContentApplicationJsonSchemaPayload:
      type: object
      properties: {}
      description: Response payload, will be empty when success is false
      title: V3CommitmentsGetResponsesContentApplicationJsonSchemaPayload
    IntegratorsApiErrorDetails:
      type: object
      properties: {}
      description: Additional details about the error
      title: IntegratorsApiErrorDetails
    IntegratorsApiError:
      type: object
      properties:
        code:
          type: number
          format: double
          description: API response code
        message:
          type: string
          description: API response message
        details:
          $ref: '#/components/schemas/IntegratorsApiErrorDetails'
          description: Additional details about the error
      required:
        - code
        - message
      title: IntegratorsApiError
    Commitments_IntegratorsApiCommitmentsController_getAllCommitments_Response_200:
      type: object
      properties:
        payload:
          $ref: >-
            #/components/schemas/V3CommitmentsGetResponsesContentApplicationJsonSchemaPayload
          description: Response payload, will be empty when success is false
        success:
          type: boolean
          description: Boolean with true=success, false=failure
        message:
          type: string
          description: Plain-text description of the result
        error:
          $ref: '#/components/schemas/IntegratorsApiError'
          description: json element with any error messages or warnings
      required:
        - payload
        - success
        - message
        - error
      title: >-
        Commitments_IntegratorsApiCommitmentsController_getAllCommitments_Response_200
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Response**

```json
{
  "payload": {
    "data": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "contractId": "550e8400-e29b-41d4-a716-446655440000",
        "customerId": "550e8400-e29b-41d4-a716-446655440000",
        "prepaidEnabled": false,
        "prepaidValue": "5000.00",
        "commitmentValue": "10000.00",
        "commitmentUnitType": "DOLLARS",
        "commitmentStartDate": "2024-01-01T00:00:00.000Z",
        "commitmentEndDate": "2024-12-31T00:00:00.000Z",
        "commitmentPeriodInterval": "MONTHLY",
        "commitmentCustomInterval": "3_MONTHS",
        "nextSequentialCommitmentId": "550e8400-e29b-41d4-a716-446655440000",
        "pricePriority": "LOW",
        "prepaymentScheduleType": "FULL_UPFRONT",
        "eventTypesIncluded": [
          "string",
          "string"
        ],
        "currentCumulative": {
          "amount": "150.50",
          "units": "1000"
        },
        "totals": {
          "overages": "250.50",
          "trueUps": "0.00"
        },
        "periods": [
          {
            "periodId": "550e8400-e29b-41d4-a716-446655440000",
            "periodDate": "2024-01-01T00:00:00.000Z",
            "amounts": {
              "cumulative": "5000.00",
              "remaining": "5000.00",
              "trueUp": "0.00"
            },
            "eventTypes": [
              {
                "eventTypeId": "550e8400-e29b-41d4-a716-446655440000",
                "eventTypeName": "API Calls",
                "cumulative": {
                  "amount": "150.50",
                  "units": "1000"
                },
                "overages": {
                  "amount": "150.50",
                  "units": "1000"
                }
              }
            ],
            "finalizedAt": null,
            "lastCalculatedAt": "2024-01-15T10:30:00.000Z",
            "createdAt": "2024-01-01T00:00:00.000Z",
            "updatedAt": "2024-01-15T10:30:00.000Z"
          }
        ],
        "createdAt": "2024-01-01T00:00:00.000Z",
        "updatedAt": "2024-01-15T10:30:00.000Z",
        "deletedAt": "string",
        "trueUpBehavior": "DEFAULT",
        "schedules": [
          {
            "id": "550e8400-e29b-41d4-a716-446655440000",
            "sequence": 0,
            "startDate": "2024-01-01T00:00:00.000Z",
            "endDate": "2024-12-31T00:00:00.000Z",
            "commitmentInterval": "DAILY",
            "prepaymentScheduleType": "FULL_UPFRONT",
            "steps": [
              {
                "id": "550e8400-e29b-41d4-a716-446655440000",
                "sequence": 0,
                "effectiveCommitmentValue": "10000.00",
                "effectivePrepaidValue": "5000.00",
                "prepaidEnabled": false,
                "commitmentUnitType": "DOLLARS",
                "pricePriority": "LOW",
                "billingTermIds": [
                  "string"
                ],
                "enteredAt": "2025-04-01T00:00:00.000Z"
              }
            ]
          }
        ]
      }
    ],
    "limit": 1.1,
    "totalItems": 1.1,
    "currentPage": 1.1
  },
  "success": true,
  "message": "string",
  "error": {
    "code": 1.1,
    "message": "string",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/commitments"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/commitments';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/commitments"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/commitments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://integrators.prod.api.tabsplatform.com/v3/commitments")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://integrators.prod.api.tabsplatform.com/v3/commitments', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/commitments");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/commitments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```